Point
Date: 2013-06-05

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.sandia.gnem.slbmjni
Class Point

    java.lang.Object
      gov.sandia.gnem.slbmjni.Point

    public class Point

extends java.lang.Object

Field Summary
`double[]` | `u`

Constructor Summary
`Point(double lat, double lon, boolean inDegrees)` Point constructor
`Point(GridProfile profile)`

Method Summary
`static double` | `dot(double[] v0, double[] v1)`
`boolean` | `equals(java.lang.Object other)`
`static double[]` | `getVector(double lat, double lon)` Convert geographic lat, lon into a geocentric unit vector.
`static void` | `getVector(double lat, double lon, double[] vector)` Convert geographic lat, lon into a geocentric unit vector.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### u

    public double[] u

Constructor Detail

### Point

    public Point(double lat,
                 double lon,
                 boolean inDegrees)

  Point constructor

  Parameters:
    `lat` - in degrees or radians
    `lon` - in degrees or radians
    `inDegrees` - if true, then lat,lon are assumed to be in degrees otherwise radians

### Point

    public Point(GridProfile profile)

Method Detail

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### dot

    public static double dot(double[] v0,
                             double[] v1)

### getVector

    public static double[] getVector(double lat,
                                     double lon)

  Convert geographic lat, lon into a geocentric unit vector. The x-component points toward lat,lon = 0, 0. The y-component points toward lat,lon = 0, PI/2. The z-component points toward north pole.

  Parameters:
    `lat` - geographic latitude in radians.
    `lon` - longitude in radians.
  Returns:
    3 component unit vector.

### getVector

    public static void getVector(double lat,
                                 double lon,
                                 double[] vector)

  Convert geographic lat, lon into a geocentric unit vector. The x-component points toward lat,lon = 0, 0. The y-component points toward lat,lon = 0, PI/2 The z-component points toward north pole.

  Parameters:
    `lat` - geographic latitude in radians.
    `lon` - longitude in radians.
    `vector` - 3 component unit vector.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD